package com.ozs.web.controller.shotschedule;

import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.connection.stream.StreamRecords;
import org.springframework.data.redis.connection.stream.StringRecord;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;

@Service
@Slf4j
public class RedisPushService {

    @Resource
    private StringRedisTemplate stringRedisTemplate;

    public final static String STREAM_KEY = "capture";
    public final static String STREAM_CONSUMER_GROUP_KEY = "capture_group_1";

    public void pushMsg(String msg) {
        // 创建消息记录, 以及指定stream
        StringRecord stringRecord = StreamRecords.string(Collections.singletonMap("data", msg)).withStreamKey(STREAM_KEY);
        // 将消息添加至消息队列中
        this.stringRedisTemplate.opsForStream().add(stringRecord);
//        log.info("{}已发送消息: {}", STREAM_KEY, msg);
    }

}
